@import "shared.css";


@keyframes fox-anim {
    from {
        transform: translateY(0px)
    }

    to {
        transform: translateY(20px)
    }
}


body {
    background-color: var(--background);
    color: var(--foreground);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


a {
    text-decoration: inherit;;
}


#title {
    font-size: 3.25rem;
    text-transform: uppercase;
    text-align: center;
    color: var(--orange-accent);
    margin-bottom: 2rem;
    transform: scaleY(1.25);
    font-family: var(--font-jersey-10);
    text-shadow: 0 -4px var(--color-orange-700);
}


main {
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;

    #img-container {
        width: 35%;
        max-width: 100%;
        border-radius: 10px;
        animation: fox-anim alternate infinite 1s;

        img {
            width: 100%;
            height: auto;
        }
    }
}


#buttons {
    margin-top: 3rem;
    user-select: none;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    gap: 0.4rem;

    a {
        padding: 8px 15px;
        text-align: center;
        background-color: transparent;
        border: 1px solid var(--orange-accent);
        color: var(--orange-accent);
        border-radius: 2px;
        transition: color .2s ease-out, background-color .2s ease-out;
        font-size: 0.975rem; 

        &:hover {
            background-color: var(--orange-accent);
            color: var(--background);
        } 
    }
}
